export const transferAttr = (columnType, columnAttrObj) => {
    switch (String(columnType)) {
        case '9':
            columnAttrObj.precision = columnAttrObj.decimalPartMaxLength;
            columnAttrObj.min = columnAttrObj.minValue;
            columnAttrObj.max = Math.pow(10, columnAttrObj.intPartMaxLength);
            break;
        case '11':
            columnAttrObj.format = columnAttrObj.format.replace(/y/g, 'Y').replace(/d/g, 'D');
            columnAttrObj.showTime = (/H|m|s/).test(columnAttrObj.format);
            break;
        default:
            break;
    }
    return columnAttrObj || {};
}
